| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_thunder.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Macros
#define | THUNDER_DATA 0x3f /* mask for 6-bit data */
#define | THUNDER_CODE 0xc0 /* mask for 2-bit code word */
#define | THUNDER_RUN 0x00 /* run of pixels w/ encoded count */
#define | THUNDER_2BITDELTAS 0x40 /* 3 pixels w/ encoded 2-bit deltas */
#define | DELTA2_SKIP 2 /* skip code for 2-bit deltas */
#define | THUNDER_3BITDELTAS 0x80 /* 2 pixels w/ encoded 3-bit deltas */
#define | DELTA3_SKIP 4 /* skip code for 3-bit deltas */
#define | THUNDER_RAW 0xc0 /* raw data encoded */
#define | SETPIXEL(op, v)

## Functions
int | TIFFInitThunderScan (TIFF *tif, int scheme)

## Macro Definition Documentation

#define DELTA2_SKIP 2 /* skip code for 2-bit deltas */

Definition at line 50 of file tif_thunder.c.

#define DELTA3_SKIP 4 /* skip code for 3-bit deltas */

Definition at line 52 of file tif_thunder.c.

#define SETPIXEL | ( |  | op,
|  |  | v
| ) |  |

Value:
{ \
lastpixel = (v) & 0xf; \
if (npixels++ & 1) \
*op++ |= lastpixel; \
else \
op[0] = (tidataval_t) (lastpixel << 4); \
}
tidataval_t
unsigned char tidataval_t
Definition: tiffiop.h:90

Definition at line 58 of file tif_thunder.c.

#define THUNDER_2BITDELTAS 0x40 /* 3 pixels w/ encoded 2-bit deltas */

Definition at line 49 of file tif_thunder.c.

#define THUNDER_3BITDELTAS 0x80 /* 2 pixels w/ encoded 3-bit deltas */

Definition at line 51 of file tif_thunder.c.

#define THUNDER_CODE 0xc0 /* mask for 2-bit code word */

Definition at line 46 of file tif_thunder.c.

#define THUNDER_DATA 0x3f /* mask for 6-bit data */

Definition at line 45 of file tif_thunder.c.

#define THUNDER_RAW 0xc0 /* raw data encoded */

Definition at line 53 of file tif_thunder.c.

#define THUNDER_RUN 0x00 /* run of pixels w/ encoded count */

Definition at line 48 of file tif_thunder.c.

## Function Documentation

int TIFFInitThunderScan | ( | TIFF * | tif,
|  | int | scheme
| ) |  |

Definition at line 149 of file tif_thunder.c.